Subject: Mentzelia decapetalia: Rare in N. Texas?

From: [email-masked] (Elizabeth Simnacher)
Date: 11 Sep 1996 04:49:34 GMT

The director emeritus of a local nature center showed me slides of 
Mentzelia decapetalia. It is blooming nearby. He said it was very rare, 
blooms at night, narrowly escaped destruction by the road maintenance 
crews.

We are in Cedar Hill, a Dallas suburb. Does anyone know of this plant? Is 
it truly rare -- if not, is it rare in this area? I can find it in 
Shinners' Manual of the North Central Texas Flora and also in Manual of 
the Vascular Plants of Texas; both mention its range including Dallas 
County.

If it is rare, I will write a story about it for the Dallas Morning News 
saying that -- while it is still blooming. I'd love to get all the 
information I can about this plant.

Thank you.

Betsy Simnacher
you see my Prodigy address, also I am at:
[email-masked]